Mailinglist Archive: opensuse (2372 mails)

< Previous Next >
Re: [SLE] Bugzilla on 6.4--is it possible?
  • From: kastus@xxxxxxxxx
  • Date: Thu, 11 Jan 2001 01:57:27 -0800
  • Message-id: <20010111015727.A4574@xxxxxxxxxxx>
I successfully rebuilt gdlib-1.8.3 rpm with Lincoln Stein patch to support
dynamic linking. ``make test'' in GD-1.3.2 finally works.
If anyone is interested, I can share spec/dif/rpm/srpm.

Ain't Linux great?

-Kastus

On Wed, Jan 10, 2001 at 05:33:05PM -0800, kastus@xxxxxxxxx wrote:
> I follow up my own post.
>
> I followed Lincoln's advise and built perl-5.6.0 and tried to install GD-1.3.2 on it. No go,
> the same error. OK, I then downloaded the source of libgd-1.8.3
> (actually, I had to download libgd-1.8.2.tar.gz, libgd-1.8.3.tar.gz
> does not contain all files for some reason), applied patch from
> GD-1.3.2 to support dynamic linking, compiled it and GD was fixed.
>
> I repeated then GD installation on perl-5.005, it worked too with my
> home-compiled libgd.
>
> So gdlib rpm in SuSE 7.0/6.4 is unusable from perl, that's my conclusion.
> Any other opinions/experience?
>
> -Kastus
>
> On Wed, Jan 10, 2001 at 01:29:04AM -0800, kastus@xxxxxxxxx wrote:
> > Greetings,
> >
> > I tried to install Bugzilla on 6.4 system and got completely confused.
> >
> > Bugzilla requires a couple of perl modules, namely GD and Chart::Base.
> > GD is required to be version 1.3 and use libgd version 1.8.3. Chart requires
> > GD version higher than 1.2.
> >
> > By default, on 6.4 system GD is 1.2 and libgd is 1.7.3.
> >
> > OK, I grabbed gd and gdlib rpms for 7.0 system and installed them. My perl is the latest
> > one available from SuSE (perl-5.005_03-182)
> >
> > Unfortunately, when I do make test in Chart, I get:
> >
> > .Can't load '/usr/lib/perl5/5.00503/i586-linux/auto/GD/GD.so' for module GD: /usr/lib/perl5/5.00503/i586-linux/auto/GD/GD.so: undefined symbol: gdImageJpegPtr at /usr/lib/perl5/5.00503/i586-linux/DynaLoader.pm line 169.
> >
> > at blib/lib/Chart/Base.pm line 15
> >
> > Lincoln Stein (author of GD.pm) once commented:
> >
> > ----------------------------------------------------------------------------
> > To: Thomas Schachner <Thomas.Schachner@xxxxxx>
> > Subject: GD.pm
> > In-Reply-To: <387B1B0E.653A6BA7@xxxxxx>
> > References: <387B1B0E.653A6BA7@xxxxxx>
> > X-Mailer: VM 6.71 under 21.1 "20 Minutes to Nikko" XEmacs Lucid (patch 2)
> > Reply-To: lstein@xxxxxxxx
> > --text follows this line--
> > This problem has been reported under some versions of SuSE and RedHat
> > Linux (it appears to be related to a partcular RPM distribution of
> > Perl). Perl was built incorrectly, causing some but not all loadable
> > modules to fail. The only solution I know of is to rebuild Perl
> > correctly from scratch and reinstall all previously-installed modules.
> >
> > Lincoln

< Previous Next >
This Thread
References